## Tool: `update_merchant`

Updates specific fields of an existing merchant. Supported fields include display_name, mcc, corporate_website_url, customer_support_website_url, customer_support_email, and customer_support_phone.

The following code sample shows how to use `curl` to call the `update_merchant` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "update_merchant", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for UpdateMerchant.

### UpdateMerchantFacadeRequest

| JSON representation |
|---|
| ``` { "merchantId": string, // Union field `_display_name` can be only one of the following: "displayName": string // End of list of possible types for union field `_display_name`. // Union field `_mcc` can be only one of the following: "mcc": enum (`https://developers.google.com/pay/api/web/reference/mcp/tools_list/list_merchants#Output.Schema.Mcc`) // End of list of possible types for union field `_mcc`. // Union field `_corporate_website_url` can be only one of the following: "corporateWebsiteUrl": string // End of list of possible types for union field `_corporate_website_url`. // Union field `_customer_support_website_url` can be only one of the following: "customerSupportWebsiteUrl": string // End of list of possible types for union field `_customer_support_website_url`. // Union field `_customer_support_email` can be only one of the following: "customerSupportEmail": string // End of list of possible types for union field `_customer_support_email`. // Union field `_customer_support_phone` can be only one of the following: "customerSupportPhone": string // End of list of possible types for union field `_customer_support_phone`. } ``` |

| Fields ||
|---|---|
| `merchantId` | `string` Required. The merchant id of the merchant to update. |
| Union field `_display_name`. `_display_name` can be only one of the following: ||
| `displayName` | `string` The display name of the merchant. |
|   ||
| Union field `_mcc`. `_mcc` can be only one of the following: ||
| `mcc` | ``enum (`https://developers.google.com/pay/api/web/reference/mcp/tools_list/list_merchants#Output.Schema.Mcc`)`` The MCC (Merchant Category Code) of the merchant. |
|   ||
| Union field `_corporate_website_url`. `_corporate_website_url` can be only one of the following: ||
| `corporateWebsiteUrl` | `string` The corporate website of the merchant. |
|   ||
| Union field `_customer_support_website_url`. `_customer_support_website_url` can be only one of the following: ||
| `customerSupportWebsiteUrl` | `string` The customer support website of the merchant. |
|   ||
| Union field `_customer_support_email`. `_customer_support_email` can be only one of the following: ||
| `customerSupportEmail` | `string` The customer support email of the merchant. |
|   ||
| Union field `_customer_support_phone`. `_customer_support_phone` can be only one of the following: ||
| `customerSupportPhone` | `string` The customer support phone of the merchant. |
|   ||

### Mcc

The Merchant Category Code (MCC) of a merchant.

| Enums ||
|---|---|
| `OTHERS` | Others |
| `MISC_FOOD_STORES` | Miscellaneous Food Stores -- Convenience Stores and Specialty Markets |
| `MISC_APPAREL` | Miscellaneous Apparel and Accessory Shops |
| `ARTISTS_SUPPLY` | Artist's Supply and Craft Shops |
| `AUTOMOTIVE_PARTS` | Automotive Parts, Accessories Stores |
| `HEALTH_AND_BEAUTY` | Health and Beauty Shop |
| `BOOKS_PERIODICALS` | Books, Periodicals and Newspapers |
| `CAMERA_STORES` | Camera and Photographic Supply Stores |
| `COMPUTERS_EQUIPMENT` | Computers, Computer Peripheral Equipment, Software |
| `COMPUTER_SOFTWARE` | Computer Software Stores |
| `ELECTRONICS_SALES` | Electronics Sales |
| `GIFT_SHOPS` | Card Shops, Gift, Novelty, and Souvenir Shops |
| `EATING_PLACES` | Eating Places and Restaurants |
| `MISC_GENERAL_MERCHANDISE` | Misc. General Merchandise |
| `HOME_SUPPLY` | Home Supply Warehouse Stores |
| `COMPUTER_NETWORK_SERVICES` | Computer Network Services |
| `DIGITAL_GOODS_MEDIA` | Digital Goods: Books, Movies, Music |
| `DIGITAL_GOODS_GAMES` | Digital Goods: Games |
| `DIGITAL_GOODS_APPLICATIONS` | Digital Goods: Applications (Excludes Games) |
| `POLITICAL_ORGANIZATIONS` | Political Organizations |
| `CHARITABLE_ORGANIZATIONS` | Charitable and Social Service Organizations |
| `DRUG_STORES` | Drug Stores and Pharmacies |
| `REAL_ESTATE_RENTALS` | Real Estate Agents and Managers - Rentals |
| `MISC_PERSONAL_SERVICES` | Miscellaneous Personal Services, Not Elsewhere Classified |
| `SPORTING_GOODS` | Sporting Goods Stores |
| `STATIONERY_OFFICE_SUPPLIES` | Stationery, Office Supplies, Printing and Writing Paper |
| `THEATRICAL_TICKET_AGENCIES` | Theatrical Ticket Agencies |
| `TIMESHARES` | Timeshares |
| `TOURIST_ATTRACTIONS` | Tourist Attractions and Exhibits |
| `HOBBY_TOY_GAME_SHOPS` | Hobby, Toy, and Game Shops |
| `PET_SHOPS` | Pet Shops, Pet Foods and Supplies Stores |
| `OTHER_LODGING` | Other Lodging--Hotels, Motels, Resorts |
| `TELECOMMUNICATION_SERVICES` | Telecommunication Services |
| `TRANSPORTATION_SERVICES` | Transportation Services |
| `OTHER_AIRLINES` | Other Airlines |
| `TRAVEL_AGENCIES` | Travel Agencies and Tour Operators |
| `GOVERNMENT_OWNED_LOTTERIES_US` | Government-Owned Lotteries (US Region only) |
| `GOVERNMENT_LICENSED_CASINOS_US` | Government Licensed On-Line Casinos (On-Line Gambling) (US Region only) |
| `BETTING` | Betting (including Lottery Tickets, Casino Gaming Chips, Off-track Betting and Wagers) |
| `GOVERNMENT_OWNED_LOTTERIES_NON_US` | Government-Owned Lotteries (Non-U.S. region) |

## Output Schema

Response message for UpdateMerchant.

### UpdateMerchantResponse

| JSON representation |
|---|
| ``` { "state": enum (`https://developers.google.com/pay/api/web/reference/mcp/tools_list/list_merchants#Output.Schema.State`) } ``` |

| Fields ||
|---|---|
| `state` | ``enum (`https://developers.google.com/pay/api/web/reference/mcp/tools_list/list_merchants#Output.Schema.State`)`` The state of the updated merchant. |

### State

The state of a merchant.

| Enums ||
|---|---|
| `STATE_UNSPECIFIED` | The merchant state is unspecified. |
| `VERIFIED` | The merchant is verified and approved. |
| `IN_REVIEW` | The merchant profile edit is under review. |
| `REJECTED` | The merchant profile edit is rejected. |
| `INCOMPLETE_SIGNUP` | The merchant profile is incomplete. |
| `SANCTIONS_HIT` | The merchant profile hits sanctions. |
| `READY_FOR_REVIEW` | The merchant profile is complete and ready for review. |
| `DISABLED` | The merchant profile is disabled/inactive. |

### Tool Annotations


[Tool annotations](https://modelcontextprotocol.io/specification/latest/schema#toolannotations) are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.


Along with the title string, the following boolean hints are defined as follows:

- `readOnlyHint`: If true, the tool doesn't modify its environment. Default: false.
- `destructiveHint`: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
- `idempotentHint`: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
- `openWorldHint`: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ❌ \| Open World Hint: ❌